templates/data-lake-master.yaml [168:251]:
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
  QSS3BucketName:
    AllowedPattern: ^[0-9a-zA-Z]+([0-9a-zA-Z-]*[0-9a-zA-Z])*$
    ConstraintDescription: Quick Start bucket name can include numbers, lowercase
      letters, uppercase letters, and hyphens (-). It cannot start or end with a hyphen
      (-).
    Default: aws-quickstart
    Description: "S3 bucket where the Quick Start templates and scripts are installed.\
      \ Use this parameter to specify the S3 bucket name you\u2019ve created for your\
      \ copy of Quick Start assets, if you decide to customize or extend the Quick\
      \ Start for your own use. The bucket name can include numbers, lowercase letters,\
      \ uppercase letters, and hyphens, but should not start or end with a hyphen."
    Type: String
  QSS3BucketRegion:
    Default: 'us-east-1'
    Description: 'The AWS Region where the Quick Start S3 bucket (QSS3BucketName) is hosted. When using your own bucket, you must specify this value.'
    Type: String
  QSS3KeyPrefix:
    AllowedPattern: ^[0-9a-zA-Z-/]*$
    ConstraintDescription: Quick Start key prefix can include numbers, lowercase letters,
      uppercase letters, hyphens (-), and forward slash (/). It cannot start or end
      with forward slash (/) because they are automatically appended.
    Default: quickstart-datalake-47lining/
    Description: S3 key prefix used to simulate a folder for your copy of Quick Start
      assets, if you decide to customize or extend the Quick Start for your own use.
      This prefix can include numbers, lowercase letters, uppercase letters, hyphens,
      and forward slashes.
    Type: String
  RedshiftDatabaseName:
    AllowedPattern: ([a-z]|[0-9])+
    ConstraintDescription: must contain a-z or 0-9 only.
    Default: quickstart
    Description: The name of the first database to be created when the Amazon Redshift
      cluster is provisioned.
    Type: String
  RedshiftDatabasePort:
    Default: '5439'
    Description: The port that Amazon Redshift will listen on, which will be allowed
      through the security group.
    Type: String
  RedshiftNodeType:
    AllowedValues:
      - ra3.16xlarge
      - dc1.large
      - dc2.large
      - dc2.8xlarge
    ConstraintDescription: must be a valid Redshift node type.
    Default: dc2.large
    Description: Instance type for the nodes in the Amazon Redshift cluster.
    Type: String
  RedshiftNumberOfNodes:
    Default: '1'
    Description: "The number of nodes in the Amazon Redshift cluster. If you specify\
      \ a number that\u2019s larger than 1, the Quick Start will launch a multi-node\
      \ cluster."
    Type: Number
  RedshiftPassword:
    Description: 'The password that is associated with the master user account for
      the Amazon Redshift cluster. The password must contain 8 to 64 printable ASCII
      characters, excluding: /, ", \'', \ and @. It must contain one uppercase letter,
      one lowercase letter, and one number.'
    MaxLength: '64'
    NoEcho: 'true'
    Type: String
  RedshiftUsername:
    AllowedPattern: ^[a-z][a-z0-9_]*$
    ConstraintDescription: User name parameter must be lowercase, begin with a letter,
      contain only alphanumeric characters or underscores, and be less than 128 characters.
    Default: datalake
    Description: 'The user name that is associated with the master user account for
      the Amazon Redshift cluster. The user name must contain fewer than 128 alphanumeric
      characters or underscores, and must be lowercase and begin with a letter. '
    MaxLength: '128'
    MinLength: '1'
    Type: String
  RemoteAccessCIDR:
    AllowedPattern: ^(([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])(\/([0-9]|[1-2][0-9]|3[0-2]))$
    ConstraintDescription: CIDR block parameter must be in the form x.x.x.x/x
    Description: The CIDR IP range that is permitted to SSH into the bastion host
      instance and access Amazon ES. We recommend that you set this value to a trusted
      IP range. For example, you might want to grant only your corporate network access
      to the software. You can use http://checkip.amazonaws.com/  to check your IP
      address. This parameter must be in the form x.x.x.x/x (e.g., 96.127.8.12/32,
      YOUR_IP/32).
    Type: String
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -



templates/data-lake.yaml [201:284]:
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
  QSS3BucketName:
    AllowedPattern: ^[0-9a-zA-Z]+([0-9a-zA-Z-]*[0-9a-zA-Z])*$
    ConstraintDescription: Quick Start bucket name can include numbers, lowercase
      letters, uppercase letters, and hyphens (-). It cannot start or end with a hyphen
      (-).
    Default: aws-quickstart
    Description: "S3 bucket where the Quick Start templates and scripts are installed.\
      \ Use this parameter to specify the S3 bucket name you\u2019ve created for your\
      \ copy of Quick Start assets, if you decide to customize or extend the Quick\
      \ Start for your own use. The bucket name can include numbers, lowercase letters,\
      \ uppercase letters, and hyphens, but should not start or end with a hyphen."
    Type: String
  QSS3BucketRegion:
    Default: 'us-east-1'
    Description: 'The AWS Region where the Quick Start S3 bucket (QSS3BucketName) is hosted. When using your own bucket, you must specify this value.'
    Type: String
  QSS3KeyPrefix:
    AllowedPattern: ^[0-9a-zA-Z-/]*$
    ConstraintDescription: Quick Start key prefix can include numbers, lowercase letters,
      uppercase letters, hyphens (-), and forward slash (/). It cannot start or end
      with forward slash (/) because they are automatically appended.
    Default: quickstart-datalake-47lining/
    Description: S3 key prefix used to simulate a folder for your copy of Quick Start
      assets, if you decide to customize or extend the Quick Start for your own use.
      This prefix can include numbers, lowercase letters, uppercase letters, hyphens,
      and forward slashes.
    Type: String
  RedshiftDatabaseName:
    AllowedPattern: ([a-z]|[0-9])+
    ConstraintDescription: must contain a-z or 0-9 only.
    Default: quickstart
    Description: The name of the first database to be created when the Amazon Redshift
      cluster is provisioned.
    Type: String
  RedshiftDatabasePort:
    Default: '5439'
    Description: The port that Amazon Redshift will listen on, which will be allowed
      through the security group.
    Type: String
  RedshiftNodeType:
    AllowedValues:
      - ra3.16xlarge
      - dc1.large
      - dc2.large
      - dc2.8xlarge
    ConstraintDescription: must be a valid Redshift node type.
    Default: dc2.large
    Description: Instance type for the nodes in the Amazon Redshift cluster.
    Type: String
  RedshiftNumberOfNodes:
    Default: '1'
    Description: "The number of nodes in the Amazon Redshift cluster. If you specify\
      \ a number that\u2019s larger than 1, the Quick Start will launch a multi-node\
      \ cluster."
    Type: Number
  RedshiftPassword:
    Description: 'The password that is associated with the master user account for
      the Amazon Redshift cluster. The password must contain 8 to 64 printable ASCII
      characters, excluding: /, ", \'', \ and @. It must contain one uppercase letter,
      one lowercase letter, and one number.'
    MaxLength: '64'
    NoEcho: 'true'
    Type: String
  RedshiftUsername:
    AllowedPattern: ^[a-z][a-z0-9_]*$
    ConstraintDescription: User name parameter must be lowercase, begin with a letter,
      contain only alphanumeric characters or underscores, and be less than 128 characters.
    Default: datalake
    Description: 'The user name that is associated with the master user account for
      the Amazon Redshift cluster. The user name must contain fewer than 128 alphanumeric
      characters or underscores, and must be lowercase and begin with a letter. '
    MaxLength: '128'
    MinLength: '1'
    Type: String
  RemoteAccessCIDR:
    AllowedPattern: ^(([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])(\/([0-9]|[1-2][0-9]|3[0-2]))$
    ConstraintDescription: CIDR block parameter must be in the form x.x.x.x/x
    Description: The CIDR IP range that is permitted to SSH into the bastion host
      instance and access Amazon ES. We recommend that you set this value to a trusted
      IP range. For example, you might want to grant only your corporate network access
      to the software. You can use http://checkip.amazonaws.com/  to check your IP
      address. This parameter must be in the form x.x.x.x/x (e.g., 96.127.8.12/32,
      YOUR_IP/32).
    Type: String
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -



